package com.sw.mes.fls.service;

import com.sw.mes.core.response.Result;
import com.sw.mes.fls.dto.*;

import java.util.List;

public interface FlsToMesService {
    /**
     * 绑定信息上传接口
     *
     * AGV小车将方棒送到方棒检测上线口，FLS将托盘号、方棒编码绑定信息上传MES；MES接收绑定信息后下发MCS
     * @param biddingFbWithTrayDto
     * @return
     */
    Result bindingFbwithTray(BiddingFbWithTrayDto biddingFbWithTrayDto);

    /**
     * 打托信息上传接口
     *
     * 打托完成后，FLS上传托号、托号类型、区域、打托设备号、托内SN号
     * @param productAssemblyInfoDto
     * @return
     */
    Result productAssemblyInfoUpload(ProductAssemblyInfoDto productAssemblyInfoDto);

    DeviceAbilityDto getDeviceBySectionNo(String sectionNo);

    Result fbSizing(FbSizingDto fbSizingDto);

    Result palletTransfer(PalletTransferDto palletTransferDto);

    Result fbSizingV2(FbSizingDto fbSizingDto);

    DeviceAbilityDto getMdDeviceBySectionNo(String sectionNo);

    List<DeviceAbilityDto> getDeviceByBranchCode(String branchCode);
}
